Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.message.envelope
Class PerActiveConnectionMsg

    java.lang.Object
      com.stc.connector.message.envelope.EnvelopedMsg
          com.stc.connector.message.envelope.PerActiveConnectionMsg

All Implemented Interfaces:
  AbstractMsg

    public class PerActiveConnectionMsg

extends EnvelopedMsg

This class represents a "Per Active Connection" message. For more information, please refer the corresponding PDF documentation.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2005/09/03 06:30:03 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.message.envelope.EnvelopedMsg
`NUMERIC_REPRESENT_DECIMAL, NUMERIC_REPRESENT_HEXADECIMAL, NUMERIC_REPRESENT_NETWORK_LONG, NUMERIC_REPRESENT_NETWORK_SHORT, NUMERIC_REPRESENT_OCTAL, TYPE_BEGIN_END_MARKED, TYPE_COUNT_PREFIXED, TYPE_CUSTOM, TYPE_END_MARKED, TYPE_FIXED_LENGTH, TYPE_LENGTH_PREFIXED, TYPE_MARKED_AND_FIXED, TYPE_PER_ACTIVE_CONNECTION, TYPE_REPEATING`

Constructor Summary
`PerActiveConnectionMsg(AbstractMsg body)` Constructor

Method Summary

Methods inherited from class com.stc.connector.message.envelope.EnvelopedMsg
`equalsTo, getBody, getBytes, getChildMsgs, getEnvelopeType, getPrefix, getSuffix, isBeginEndMarkedMsg, isCountPrefixedMsg, isCustomMsg, isEndMarkedMsg, isFixedLengthMsg, isLengthPrefixedMsg, isMarkedAndFixedMsg, isPerActiveConnectionMsg, isRepeatingMsg, setBody, setChildMsgs, setEnvelopeType, setPrefix, setSuffix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### PerActiveConnectionMsg

    public PerActiveConnectionMsg(AbstractMsg body)

  Constructor

  Parameters:
    `body` - AbstractMsg

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD